Results 1 to 4 of 4

Thread: w3af broken after update on Kali 1.0.7

  1. #1
    Join Date
    2014-Jul
    Posts
    1

    w3af broken after update on Kali 1.0.7

    After the latest apt update, w3af failed to start with the following message: Exception: "There was an error while importing w3af.plugins.output.console: "No module named darts.lib.utils.lru"."

    I couldn't find a distro package, so the following steps helped me for anyone else who encounters this:

    Make sure you have python-setuptools installed
    Code:
    apt-get install python-setuptools
    git clone https://github.com/deterministic-arts/DartsPyLRU.git
    cd DartsPyLRU
    python setup.py install
    Then w3af should launch without issue.

  2. #2
    I would highly recommend this to be posted on the bug tracker - http://bugs.kali.org
    This is a Kali-Linux support forum - not general IT/infosec help.

    Useful Commands: OS, Networking, Hardware, Wi-Fi
    Troubleshooting: Kali-Linux Installation, Repository, Wi-Fi Cards (Official Docs)
    Hardware: Recommended 802.11 Wireless Cards

    Documentation: http://docs.kali.org/ (Offline PDF version)
    Bugs Reporting & Tool Requests: https://bugs.kali.org/
    Kali Tool List, Versions & Man Pages: https://tools.kali.org/

  3. #3
    Join Date
    2013-Mar
    Posts
    4
    Quote Originally Posted by g0tmi1k View Post
    I would highly recommend this to be posted on the bug tracker - http://bugs.kali.org
    Done: https://bugs.kali.org/view.php?id=1605

  4. #4
    Join Date
    2014-Aug
    Posts
    1

    it workd.. !!!!!!!!

    Quote Originally Posted by mbeaven View Post
    After the latest apt update, w3af failed to start with the following message: Exception: "There was an error while importing w3af.plugins.output.console: "No module named darts.lib.utils.lru"."

    I couldn't find a distro package, so the following steps helped me for anyone else who encounters this:

    Make sure you have python-setuptools installed
    Code:
    apt-get install python-setuptools
    git clone https://github.com/deterministic-arts/DartsPyLRU.git
    cd DartsPyLRU
    python setup.py install
    Then w3af should launch without issue.
    it worked for me perfectly, thank you .....

Similar Threads

  1. Kali BROKEN after full update
    By Napert in forum TroubleShooting Archive
    Replies: 8
    Last Post: 2017-03-29, 10:05
  2. [w3af error] after update+upgrade
    By Edelweiss in forum TroubleShooting Archive
    Replies: 1
    Last Post: 2016-10-28, 12:36
  3. Update issue - broken package
    By natv in forum TroubleShooting Archive
    Replies: 3
    Last Post: 2016-09-23, 17:35
  4. W3AF fails to load after update/upgrade
    By HackR2D2 in forum Installing Archive
    Replies: 5
    Last Post: 2014-11-10, 04:14
  5. Replies: 12
    Last Post: 2014-03-14, 22:41

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •